Appearance
Media
Retrieve media associated with a smoking event.
Both /media endpoints require the media.read scope added to the Zinc app. This must be requested and approved by Zubie.
Get Media Entity Metadata
Retrieves the metadate for media associated with an event
GET
http
https://api.zubiecar.com/api/v2/zinc/media/{media_key}Path Parameters
| Property | Type | Description |
|---|---|---|
| media_key | required | Unique media entity key. |
Sample response 200
json
{
"key": "agpzfnp1YmllLXFhciILEgZEZXZpY2UiFss2OPY1eHLLWgoydE1U5jlRUTdkWFkM",
"labels": "event:smoke-detected",
"media_type": "image/png",
"status": "pending"
}Get Media File
Retrieves a 302 redirect to a temporary, signed url. Alternatively, a 409 error if the media is not in ready status.
GET
http
https://api.zubiecar.com/api/v2/zinc/media/{media_key}/fetchPath Parameters
| Property | Type | Description |
|---|---|---|
| media_key | required | Unique media entity key. |
Sample response 302
http
https://s3.sample-url.com/43jl4jj3242
